MCP Tools Reference: design.googleapis.com

Tool: describe_font

Describes a font family in detail, including its look and feel, supported styles, weights and how to use it.

The following sample demonstrate how to use curl to invoke the describe_font MCP tool.

Curl Request
                  
curl --location 'https://design.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "describe_font",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request message for the DescribeFont method. Used to retrieve detailed metadata and usage guidance for a specific font.

DescribeFontRequest

JSON representation
{
  "fontFamily": string,
  "platform": enum (Platform)
}
Fields
fontFamily

string

Required. The full name of the font family to describe. Example: "Roboto", "Noto Sans".

platform

enum (Platform)

Required. The platform in which the font family is going to be used.

Output Schema

Response message for the DescribeFont method. Contains descriptive metadata and features for the requested font.

DescribeFontResponse

JSON representation
{
  "errorHelp": string,
  "description": string,
  "features": string,
  "languages": [
    string
  ],
  "guidance": string
}
Fields
errorHelp

string

Optional. Contextual help text if the font family name was not found or is invalid.

description

string

Description of the font family, in Markdown format.

features

string

Supported features of the font family such as weight, style and variable axes, if available, in Markdown format.

languages[]

string

List of supported language and script in BCP47 format.

guidance

string

Guidance on how to effectively use the font family, if available.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌